#include <iostream>
#include <string>
#include <cmath>
using namespace std;
int main(){
	int n,m,o,p,k=0;
	cin>>n>>m;
	int y[n];
	for(int i=0;i<n;i++){
		cin>>y[i];
	}
		for(int j=0;j<m;j++){
		cin>>o;
		cin>>p;
		k+=abs(y[o-1]+y[p-1]);
	}
	cout<<k;
	return 0;
}